Bug 802478 - .glusterfs has a GFID entry
.glusterfs has a GFID entry
Status: CLOSED CURRENTRELEASE
Product: GlusterFS
Classification: Community
Component: core (Show other bugs)
pre-release
Unspecified Unspecified
urgent Severity urgent
: ---
: ---
Assigned To: Amar Tumballi
BETA1
:
: 802726 (view as bug list)
Depends On:
Blocks: 817967
  Show dependency treegraph
 
Reported: 2012-03-12 12:32 EDT by Sachidananda Urs
Modified: 2015-12-01 11:45 EST (History)
4 users (show)

See Also:
Fixed In Version: glusterfs-3.4.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-24 13:53:55 EDT
Type: ---
Regression: ---
Mount Type: nfs
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
shell script to reproduce the issue. (848 bytes, application/x-shellscript)
2012-03-13 07:41 EDT, M S Vishwanath Bhat
no flags Details

  None (edit)
Description Sachidananda Urs 2012-03-12 12:32:59 EDT
.glusterfs has a GFID entry. I am not sure how I ended up like this... the filesystem was quite old and gone through a few releases of qa and lot of file operations including kernel compile and other stress tests.

I do not know the exact steps to reproduce this, trying out a few things to reproduce again. 

However, this is how it looked and it is recursive:

[root@brick2 .glusterfs]# ls -a -l 00/00/00000000-0000-0000-0000-000000000001/
total 16
drwxr-xr-x. 3 root root 4096 Mar 12 13:50 .
drwxr-xr-x. 3 root root 4096 Mar 5 06:12 ..
drw------. 258 root root 4096 Mar 5 07:27 .glusterfs
[root@brick2 .glusterfs]# ls -a -l 00/00/00000000-0000-0000-0000-000000000001/.glusterfs/
Display all 256 possibilities? (y or n)
00/ 06/ 0c/ 12/ 18/ 1e/ 24/ 2a/ 30/ 36/ 3c/ 42/ 48/ 4e/ 54/ 5a/ 60/ 66/ 6c/ 72/ 78/ 7e/ 84/ 8a/ 90/ 96/ 9c/ a2/ a8/ ae/ b4/ ba/ c0/ c6/ cc/ d2/ d8/ de/ e4/ ea/ f0/ f6/ fc/ 
01/ 07/ 0d/ 13/ 19/ 1f/ 25/ 2b/ 31/ 37/ 3d/ 43/ 49/ 4f/ 55/ 5b/ 61/ 67/ 6d/ 73/ 79/ 7f/ 85/ 8b/ 91/ 97/ 9d/ a3/ a9/ af/ b5/ bb/ c1/ c7/ cd/ d3/ d9/ df/ e5/ eb/ f1/ f7/ fd/ 
02/ 08/ 0e/ 14/ 1a/ 20/ 26/ 2c/ 32/ 38/ 3e/ 44/ 4a/ 50/ 56/ 5c/ 62/ 68/ 6e/ 74/ 7a/ 80/ 86/ 8c/ 92/ 98/ 9e/ a4/ aa/ b0/ b6/ bc/ c2/ c8/ ce/ d4/ da/ e0/ e6/ ec/ f2/ f8/ fe/ 
03/ 09/ 0f/ 15/ 1b/ 21/ 27/ 2d/ 33/ 39/ 3f/ 45/ 4b/ 51/ 57/ 5d/ 63/ 69/ 6f/ 75/ 7b/ 81/ 87/ 8d/ 93/ 99/ 9f/ a5/ ab/ b1/ b7/ bd/ c3/ c9/ cf/ d5/ db/ e1/ e7/ ed/ f3/ f9/ ff/ 
04/ 0a/ 10/ 16/ 1c/ 22/ 28/ 2e/ 34/ 3a/ 40/ 46/ 4c/ 52/ 58/ 5e/ 64/ 6a/ 70/ 76/ 7c/ 82/ 88/ 8e/ 94/ 9a/ a0/ a6/ ac/ b2/ b8/ be/ c4/ ca/ d0/ d6/ dc/ e2/ e8/ ee/ f4/ fa/ 
05/ 0b/ 11/ 17/ 1d/ 23/ 29/ 2f/ 35/ 3b/ 41/ 47/ 4d/ 53/ 59/ 5f/ 65/ 6b/ 71/ 77/ 7d/ 83/ 89/ 8f/ 95/ 9b/ a1/ a7/ ad/ b3/ b9/ bf/ c5/ cb/ d1/ d7/ dd/ e3/ e9/ ef/ f5/ fb/ 
[root@brick2 .glusterfs]#

>>>>>>>>>>>>>>>>>>>>


[root@brick2 00]# ls -a 00000000-0000-0000-0000-000000000001/.glusterfs/00/00/00000000-0000-0000-0000-000000000001/.glusterfs/00/00/00000000-0000-0000-0000-000000000001/.glusterfs/
Display all 253 possibilities? (y or n)
00/ 06/ 0c/ 12/ 18/ 1e/ 24/ 2a/ 31/ 37/ 3d/ 43/ 49/ 4f/ 55/ 5b/ 61/ 67/ 6d/ 73/ 79/ 7f/ 86/ 8c/ 92/ 98/ 9e/ a4/ aa/ b0/ b6/ bd/ c3/ c9/ cf/ d5/ db/ e1/ e7/ ed/ f3/ f9/ ff/ 
01/ 07/ 0d/ 13/ 19/ 1f/ 25/ 2b/ 32/ 38/ 3e/ 44/ 4a/ 50/ 56/ 5c/ 62/ 68/ 6e/ 74/ 7a/ 80/ 87/ 8d/ 93/ 99/ 9f/ a5/ ab/ b1/ b7/ be/ c4/ ca/ d0/ d6/ dc/ e2/ e8/ ee/ f4/ fa/ 
02/ 08/ 0e/ 14/ 1a/ 20/ 26/ 2c/ 33/ 39/ 3f/ 45/ 4b/ 51/ 57/ 5d/ 63/ 69/ 6f/ 75/ 7b/ 81/ 88/ 8e/ 94/ 9a/ a0/ a6/ ac/ b2/ b9/ bf/ c5/ cb/ d1/ d7/ dd/ e3/ e9/ ef/ f5/ fb/ 
03/ 09/ 0f/ 15/ 1b/ 21/ 27/ 2d/ 34/ 3a/ 40/ 46/ 4c/ 52/ 58/ 5e/ 64/ 6a/ 70/ 76/ 7c/ 82/ 89/ 8f/ 95/ 9b/ a1/ a7/ ad/ b3/ ba/ c0/ c6/ cc/ d2/ d8/ de/ e4/ ea/ f0/ f6/ fc/ 
04/ 0a/ 10/ 16/ 1c/ 22/ 28/ 2e/ 35/ 3b/ 41/ 47/ 4d/ 53/ 59/ 5f/ 65/ 6b/ 71/ 77/ 7d/ 84/ 8a/ 90/ 96/ 9c/ a2/ a8/ ae/ b4/ bb/ c1/ c7/ cd/ d3/ d9/ df/ e5/ eb/ f1/ f7/ fd/ 
05/ 0b/ 11/ 17/ 1d/ 23/ 29/ 30/ 36/ 3c/ 42/ 48/ 4e/ 54/ 5a/ 60/ 66/ 6c/ 72/ 78/ 7e/ 85/ 8b/ 91/ 97/ 9d/ a3/ a9/ af/ b5/ bc/ c2/ c8/ ce/ d4/ da/ e0/ e6/ ec/ f2/ f8/ fe/ 
[root@brick2 00]# ls -a 00000000-0000-0000-0000-000000000001/.glusterfs/00/00/00000000-0000-0000-0000-000000000001/.glusterfs/00/00/00000000-0000-0000-0000-000000000001/.glusterfs/

<<<<<<<<<<<<<<<<<<<<<<<<<<<

If you notice above, it goes on like this quite deep.
Comment 1 M S Vishwanath Bhat 2012-03-13 07:41:56 EDT
Created attachment 569654 [details]
shell script to reproduce the issue.

Was able to hit the issue with a simple rm -rf .glusterfs on nfs mount. Have attached the shell script with which I am able to hit the issue. Hope it helps.
Comment 2 Amar Tumballi 2012-03-13 08:01:54 EDT
*** Bug 802726 has been marked as a duplicate of this bug. ***
Comment 3 Amar Tumballi 2012-03-13 08:33:50 EDT
patch sent http://review.gluster.com/2936
Comment 4 M S Vishwanath Bhat 2012-03-19 05:47:13 EDT
Tested with glusterfs-3.3.0qa29, I don't see this issue anymore. Marking it verified.

Note You need to log in before you can comment on or make changes to this bug.